Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::Acknowledge::Descr Struct Reference

`#include <Acknowledge.h>`

Collaboration diagram for ACE_RMCast::Acknowledge::Descr:

[legend]
List of all members.

## Public Member Functions
| Descr ()
| Descr (unsigned long timer)
| Descr (Message_ptr m)
bool | lost () const
Message_ptr | msg ()
void | msg (Message_ptr m)
unsigned long | nak_count () const
void | nak_count (unsigned long v)
unsigned long | timer () const
void | timer (unsigned long v)
## Private Attributes
Message_ptr | m_
unsigned long | nak_count_
unsigned long | timer_

## Constructor & Destructor Documentation

ACE_RMCast::Acknowledge::Descr::Descr | ( |  | ) | `[inline]`

ACE_RMCast::Acknowledge::Descr::Descr | ( | unsigned long | timer | ) | `[inline]`

ACE_RMCast::Acknowledge::Descr::Descr | ( | Message_ptr | m | ) | `[inline]`

## Member Function Documentation

bool ACE_RMCast::Acknowledge::Descr::lost | ( |  | ) | const`[inline]`

void ACE_RMCast::Acknowledge::Descr::msg | ( | Message_ptr | m | ) | `[inline]`

Message_ptr ACE_RMCast::Acknowledge::Descr::msg | ( |  | ) | `[inline]`

void ACE_RMCast::Acknowledge::Descr::nak_count | ( | unsigned long | v | ) | `[inline]`

unsigned long ACE_RMCast::Acknowledge::Descr::nak_count | ( |  | ) | const`[inline]`

void ACE_RMCast::Acknowledge::Descr::timer | ( | unsigned long | v | ) | `[inline]`

unsigned long ACE_RMCast::Acknowledge::Descr::timer | ( |  | ) | const`[inline]`

## Member Data Documentation

Message_ptr ACE_RMCast::Acknowledge::Descr::m_`[private]`

unsigned long ACE_RMCast::Acknowledge::Descr::nak_count_`[private]`

unsigned long ACE_RMCast::Acknowledge::Descr::timer_`[private]`

The documentation for this struct was generated from the following file:

- Acknowledge.h